"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  checkDomainAvailability: () => checkDomainAvailability2
});
module.exports = __toCommonJS(meta_exports);

// src/premium-domains-v2-availability-domain-availability.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/domain-search/v2",
        destPath: "/v2"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "premium._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/domain-search/v2",
        destPath: "/v2"
      },
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    _: [
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_domains_domain-availability";
function checkDomainAvailability(payload) {
  function __checkDomainAvailability({ host }) {
    const metadata = {
      entityFqdn: "wix.premium.domains.v2.availability",
      method: "GET",
      methodFqn: "com.wixpress.premium.domain.search.availability.v2.DomainAvailabilityService.CheckDomainAvailability",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl(
        { protoPath: "/v2/check-domain-availability", data: payload, host }
      ),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __checkDomainAvailability;
}

// src/premium-domains-v2-availability-domain-availability.meta.ts
function checkDomainAvailability2() {
  const payload = {};
  const getRequestOptions = checkDomainAvailability(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/check-domain-availability",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  checkDomainAvailability
});
//# sourceMappingURL=meta.js.map