// src/premium-domains-v2-availability-domain-availability.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl(opts) {
  const domainToMappings = {
    "www._base_domain_": [
      {
        srcPath: "/domain-search/v2",
        destPath: "/v2"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "premium._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/domain-search/v2",
        destPath: "/v2"
      },
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "create.editorx": [
      {
        srcPath: "/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ],
    _: [
      {
        srcPath: "/premium/domains/v2/check-domain-availability",
        destPath: "/v2/check-domain-availability"
      },
      {
        srcPath: "/premium/domains/v2/suggest-domains",
        destPath: "/v2/suggest-domains"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_domains_domain-availability";
function checkDomainAvailability(payload) {
  function __checkDomainAvailability({ host }) {
    const metadata = {
      entityFqdn: "wix.premium.domains.v2.availability",
      method: "GET",
      methodFqn: "com.wixpress.premium.domain.search.availability.v2.DomainAvailabilityService.CheckDomainAvailability",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl(
        { protoPath: "/v2/check-domain-availability", data: payload, host }
      ),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __checkDomainAvailability;
}

// src/premium-domains-v2-availability-domain-availability.meta.ts
function checkDomainAvailability2() {
  const payload = {};
  const getRequestOptions = checkDomainAvailability(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/check-domain-availability",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  checkDomainAvailability2 as checkDomainAvailability
};
//# sourceMappingURL=meta.mjs.map